## nethogs 0.6.0

=== Makefile ===
VERSION      := 0
SUBVERSION   := 6
MINORVERSION := 0

bin  := $(DESTDIR)/usr/bin
man8 := $(DESTDIR)/usr/share/man/man8/

all: nethogs

#CFLAGS=-g -Wall -pg
CFLAGS=-O2
OBJS=structs.o packet.o connection.o process.o refresh.o decpcap.o cui.o
GCC=g++
.PHONY: tgz

tgz: clean
	cd .. ; tar czvf nethogs-$(VERSION).$(SUBVERSION).$(MINORVERSION).tar.gz nethogs/*

.PHONY: check
check:
	echo "Not implemented"

install: nethogs nethogs.8
	cp nethogs $(bin)
	cp nethogs.8 $(man8)

nethogs: nethogs.cpp $(OBJS)
	$(GCC) $(CFLAGS) nethogs.cpp $(OBJS) -o nethogs -lpcap -lm -lncurses -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"

#-lefence

refresh.o: refresh.cpp refresh.h nethogs.h
	$(GCC) $(CFLAGS) -c refresh.cpp
structs.o: structs.cpp structs.h nethogs.h
	$(GCC) $(CFLAGS) -c structs.cpp
process.o: process.cpp process.h inodeproc.cpp nethogs.h
	$(GCC) $(CFLAGS) -c process.cpp
packet.o: packet.cpp packet.h nethogs.h
	$(GCC) $(CFLAGS) -c packet.cpp
connection.o: connection.cpp connection.h nethogs.h
	$(GCC) $(CFLAGS) -c connection.cpp
hashtbl.o: hashtbl.cpp hashtbl.h nethogs.h
	$(GCC) $(CFLAGS) -c hashtbl.cpp
decpcap.o: decpcap.c decpcap.h
	gcc $(CFLAGS) -c decpcap.c
cui.o: cui.cpp cui.h nethogs.h
	$(GCC) $(CFLAGS) -c cui.cpp -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"

.PHONY: clean
clean:
	rm -f $(OBJS)
	rm -f nethogs

## nethogs 0.6.0+cvs20070620

=== Makefile ===
VERSION      := 0
SUBVERSION   := 6
MINORVERSION := 2pre2

#DESTDIR := /usr
DESTDIR := /usr/local

bin  := $(DESTDIR)/bin
man8 := $(DESTDIR)/share/man/man8/

all: nethogs decpcap_test nethogs_testsum

CFLAGS=-g -Wall
#CFLAGS=-O2
OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o
.PHONY: tgz

tgz: clean
	cd .. ; tar czvf nethogs-$(VERSION).$(SUBVERSION).$(MINORVERSION).tar.gz nethogs/*

.PHONY: check
check:
	echo "Not implemented"

install: nethogs nethogs.8
	cp nethogs $(bin)
	cp nethogs.8 $(man8)

nethogs: nethogs.cpp $(OBJS)
	$(CXX) $(CFLAGS) nethogs.cpp $(OBJS) -o nethogs -lpcap -lm -lncurses -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"
nethogs_testsum: nethogs_testsum.cpp $(OBJS)
	$(CXX) $(CFLAGS) -g nethogs_testsum.cpp $(OBJS) -o nethogs_testsum -lpcap -lm -lncurses -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"

decpcap_test: decpcap_test.cpp decpcap.o
	$(CXX) $(CFLAGS) decpcap_test.cpp decpcap.o -o decpcap_test -lpcap -lm 

#-lefence

refresh.o: refresh.cpp refresh.h nethogs.h
	$(CXX) $(CFLAGS) -c refresh.cpp
process.o: process.cpp process.h nethogs.h
	$(CXX) $(CFLAGS) -c process.cpp
packet.o: packet.cpp packet.h nethogs.h
	$(CXX) $(CFLAGS) -c packet.cpp
connection.o: connection.cpp connection.h nethogs.h
	$(CXX) $(CFLAGS) -c connection.cpp
decpcap.o: decpcap.c decpcap.h
	$(CC) $(CFLAGS) -c decpcap.c
inode2prog.o: inode2prog.cpp inode2prog.h nethogs.h
	$(CXX) $(CFLAGS) -c inode2prog.cpp
cui.o: cui.cpp cui.h nethogs.h
	$(CXX) $(CFLAGS) -c cui.cpp -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"

.PHONY: clean
clean:
	rm -f $(OBJS)
	rm -f nethogs

## nethogs 0.7.0

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,19 @@
 VERSION      := 0
-SUBVERSION   := 6
-MINORVERSION := 2pre2
+SUBVERSION   := 7
+MINORVERSION := 0
 
 #DESTDIR := /usr
 DESTDIR := /usr/local
 
-bin  := $(DESTDIR)/bin
+sbin  := $(DESTDIR)/sbin
 man8 := $(DESTDIR)/share/man/man8/
 
-all: nethogs decpcap_test nethogs_testsum
+all: nethogs decpcap_test
+# nethogs_testsum
 
-CFLAGS=-g -Wall
+CFLAGS=-g -Wall -Wextra
 #CFLAGS=-O2
-OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o
+OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o conninode.o
 .PHONY: tgz
 
 tgz: clean
@@ -23,8 +24,10 @@
 	echo "Not implemented"
 
 install: nethogs nethogs.8
-	cp nethogs $(bin)
-	cp nethogs.8 $(man8)
+	install -d -m 755 $(bin)
+	install -m 755 nethogs $(bin)
+	install -d -m 755 $(man8)
+	install -m 644 nethogs.8 $(man8)
 
 nethogs: nethogs.cpp $(OBJS)
 	$(CXX) $(CFLAGS) nethogs.cpp $(OBJS) -o nethogs -lpcap -lm -lncurses -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"
@@ -32,7 +35,7 @@
 	$(CXX) $(CFLAGS) -g nethogs_testsum.cpp $(OBJS) -o nethogs_testsum -lpcap -lm -lncurses -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"
 
 decpcap_test: decpcap_test.cpp decpcap.o
-	$(CXX) $(CFLAGS) decpcap_test.cpp decpcap.o -o decpcap_test -lpcap -lm 
+	$(CXX) $(CFLAGS) decpcap_test.cpp decpcap.o -o decpcap_test -lpcap -lm
 
 #-lefence
 
@@ -48,6 +51,8 @@
 	$(CC) $(CFLAGS) -c decpcap.c
 inode2prog.o: inode2prog.cpp inode2prog.h nethogs.h
 	$(CXX) $(CFLAGS) -c inode2prog.cpp
+conninode.o: conninode.cpp nethogs.h conninode.h
+	$(CXX) $(CFLAGS) -c conninode.cpp
 cui.o: cui.cpp cui.h nethogs.h
 	$(CXX) $(CFLAGS) -c cui.cpp -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"

## nethogs 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 VERSION      := 0
-SUBVERSION   := 7
+SUBVERSION   := 8
 MINORVERSION := 0
 
 #DESTDIR := /usr
@@ -13,19 +13,19 @@
 
 CFLAGS=-g -Wall -Wextra
 #CFLAGS=-O2
-OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o conninode.o
+OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o conninode.o devices.o
 .PHONY: tgz
 
 tgz: clean
-	cd .. ; tar czvf nethogs-$(VERSION).$(SUBVERSION).$(MINORVERSION).tar.gz nethogs/*
+	cd .. ; tar czvf nethogs-$(VERSION).$(SUBVERSION).$(MINORVERSION).tar.gz --exclude-vcs nethogs/*
 
 .PHONY: check
 check:
 	echo "Not implemented"
 
 install: nethogs nethogs.8
-	install -d -m 755 $(bin)
-	install -m 755 nethogs $(bin)
+	install -d -m 755 $(sbin)
+	install -m 755 nethogs $(sbin)
 	install -d -m 755 $(man8)
 	install -m 644 nethogs.8 $(man8)
 
@@ -53,6 +53,8 @@
 	$(CXX) $(CFLAGS) -c inode2prog.cpp
 conninode.o: conninode.cpp nethogs.h conninode.h
 	$(CXX) $(CFLAGS) -c conninode.cpp
+#devices.o: devices.cpp devices.h
+#	$(CXX) $(CFLAGS) -c devices.cpp
 cui.o: cui.cpp cui.h nethogs.h
 	$(CXX) $(CFLAGS) -c cui.cpp -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"

=== debian/changelog ===
nethogs (0.8.0-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * New upstream release.  Closes: #635977.
  * debian/patches/01_gcc44.diff: Removed.
  * debian/patches/03_sbin.diff: Removed.
  * debian/patches/04_makefile.diff: Moved existing change to this patch.
  * debian/README.Debian-source: Removed.

 -- Bart Martens <bartm@debian.org>  Sat, 27 Aug 2011 17:05:26 +0000

nethogs (0.7.0-3) unstable; urgency=low

  * debian/patches/02_geteuid.diff: Added.  Use geteuid.  Closes: #548093.
  * debian/patches/03_sbin.diff: Added.  Install the binary in /usr/sbin.

 -- Bart Martens <bartm@debian.org>  Sun, 27 Sep 2009 16:20:41 +0200

nethogs (0.7.0-2) unstable; urgency=low

  * debian/patches/01_gcc44.diff: Added.  Closes: #526208.
  * debian/watch: Updated.

 -- Bart Martens <bartm@debian.org>  Fri, 01 May 2009 18:18:53 +0200

nethogs (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fixed package-uses-deprecated-debhelper-compat-version.

 -- Bart Martens <bartm@debian.org>  Fri, 10 Apr 2009 19:21:30 +0200

nethogs (0.6.0+cvs20070620-2) unstable; urgency=low

  * Moving from experimental to unstable.
  * inode2prog.cpp: Fixed FTBFS by including stdlib.h.
  * Makefile: Don't build decpcap_test.
  * connection.cpp: Don't write debug info.  Closes: #444683.
  * debian/control, debian/rules: Now using cdbs.
  * debian/dirs: Fixed package-contains-empty-directory usr/sbin/.
  * nethogs.8: Fixed manpage-has-bad-whatis-entry.
  * debian/control: Fixed description-contains-homepage.

 -- Bart Martens <bartm@debian.org>  Sat, 08 Mar 2008 18:57:25 +0100

nethogs (0.6.0+cvs20070620-1) experimental; urgency=low

  * New upstream version from upstream cvs.
  * Includes revision 1.2, closes: #419883.
  * debian/README.Debian-source: Added.
  * Updated existing patches.
  * Makefile: Don't try to build nethogs_testsum.
  * Makefile: Fixed values of bin and man8.
  * debian/rule: Edited clean rule.

 -- Bart Martens <bartm@knars.be>  Wed, 20 Jun 2007 11:27:52 +0200

nethogs (0.6.0-3) unstable; urgency=low

  * cui.cpp: Changed for gcc 4.3.  Closes: #417443.  Thanks to Martin
    Michlmayr <tbm@cyrius.com>.

 -- Bart Martens <bartm@knars.be>  Fri,  6 Apr 2007 17:17:58 +0200

nethogs (0.6.0-2) unstable; urgency=low

  * nethogs.cpp: Fix segfault.  Closes: #405609.

 -- Bart Martens <bartm@knars.be>  Sat,  6 Jan 2007 15:49:12 +0100

nethogs (0.6.0-1) unstable; urgency=low

  * Initial release.  Closes: #271040.

 -- Bart Martens <bartm@knars.be>  Sat, 29 Apr 2006 17:42:35 +0200

=== debian/control ===
Source: nethogs
Section: net
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 8.0.0), libncurses5-dev, libpcap0.8-dev
Standards-Version: 3.9.2
Homepage: http://nethogs.sourceforge.net/

Package: nethogs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Net top tool grouping bandwidth per process
 NetHogs is a small 'net top' tool. Instead of breaking the traffic down per
 protocol or per subnet, like most tools do, it groups bandwidth by process.
 NetHogs does not rely on a special kernel module to be loaded.

## nethogs 0.8.1

=== Makefile ===
VERSION      := 0
SUBVERSION   := 8
MINORVERSION := 1

#prefix := /usr
prefix := /usr/local

sbin := $(prefix)/sbin
man8 := $(prefix)/share/man/man8/

all: nethogs decpcap_test

runtests: test
	./test
	
	
# nethogs_testsum

CFLAGS?=-Wall -Wextra
CXXFLAGS?=-Wall -Wextra

OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o conninode.o devices.o

NCURSES_LIBS?=-lncurses

.PHONY: tgz

tgz: clean
	cd .. ; tar czvf nethogs-$(VERSION).$(SUBVERSION).$(MINORVERSION).tar.gz --exclude-vcs nethogs/*

.PHONY: check
check:
	echo "Not implemented"

install: nethogs nethogs.8
	install -d -m 755 $(DESTDIR)$(sbin)
	install -m 755 nethogs $(DESTDIR)$(sbin)
	install -d -m 755 $(DESTDIR)$(man8)
	install -m 644 nethogs.8 $(DESTDIR)$(man8)

test: test.cpp 
	$(CXX) $(CXXFLAGS) $(LDFLAGS) test.cpp -o test -lpcap -lm ${NCURSES_LIBS} -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"

nethogs: main.cpp nethogs.cpp $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) main.cpp $(OBJS) -o nethogs -lpcap -lm ${NCURSES_LIBS} -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"
nethogs_testsum: nethogs_testsum.cpp $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) nethogs_testsum.cpp $(OBJS) -o nethogs_testsum -lpcap -lm ${NCURSES_LIBS} -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"

decpcap_test: decpcap_test.cpp decpcap.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) decpcap_test.cpp decpcap.o -o decpcap_test -lpcap -lm

#-lefence

refresh.o: refresh.cpp refresh.h nethogs.h
	$(CXX) $(CXXFLAGS) -c refresh.cpp
process.o: process.cpp process.h nethogs.h
	$(CXX) $(CXXFLAGS) -c process.cpp
packet.o: packet.cpp packet.h nethogs.h
	$(CXX) $(CXXFLAGS) -c packet.cpp
connection.o: connection.cpp connection.h nethogs.h
	$(CXX) $(CXXFLAGS) -c connection.cpp
decpcap.o: decpcap.c decpcap.h
	$(CC) $(CFLAGS) -c decpcap.c
inode2prog.o: inode2prog.cpp inode2prog.h nethogs.h
	$(CXX) $(CXXFLAGS) -c inode2prog.cpp
conninode.o: conninode.cpp nethogs.h conninode.h
	$(CXX) $(CXXFLAGS) -c conninode.cpp
#devices.o: devices.cpp devices.h
#	$(CXX) $(CXXFLAGS) -c devices.cpp
cui.o: cui.cpp cui.h nethogs.h
	$(CXX) $(CXXFLAGS) -c cui.cpp -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"

.PHONY: clean
clean:
	rm -f $(OBJS)
	rm -f nethogs
	rm -f test
	rm -f decpcap_test

=== debian/changelog ===
nethogs (0.8.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #808433
  * Show '?' as PID when the PID could not be determined, instead of '0'.
  * Allow large values for 'pid'
  * Use a normal DGRAM (UDP) socket to determine local IPv4 IP

 -- Arnout Engelen <arnouten@bzzt.net>  Wed, 17 Feb 2016 12:34:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libncurses5-dev, libpcap0.8-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, libpcap0.8-dev
+Standards-Version: 3.9.6
 Homepage: http://nethogs.sourceforge.net/
 
 Package: nethogs

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
#CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
#CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

override_dh_auto_test:

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/nethogs/nethogs-(.*)\.tar\.gz

## nethogs 0.8.5

=== Makefile ===
export VERSION := $(shell ./determineVersion.sh)

#export PREFIX := /usr
export PREFIX ?= /usr/local

all: decpcap_test test nethogs

.PHONY: tgz release check install install_lib install_dev uninstall uninstall_lib nethogs libnethogs decpcap_test test clean all
tgz: clean
	git archive --prefix="nethogs-$(VERSION)/" -o "../nethogs-$(VERSION).tar.gz" HEAD

release: clean
	git tag -s v$(RELEASE) -m "Release $(RELEASE)"
	git archive --prefix="nethogs-$(RELEASE)/" -o "../nethogs-$(RELEASE).tar.gz" "v$(RELEASE)"
	gpg --armor --detach-sign "../nethogs-$(RELEASE).tar.gz"
	git push --tags
	echo "now upload the detached signature ../nethogs-$(RELEASE).tar.gz.asc to https://github.com/raboof/nethogs/releases/new?tag=v$(VERSION)"

check:
	$(MAKE) -C src -f MakeApp.mk $@

install:
	$(MAKE) -C src -f MakeApp.mk $@
	$(MAKE) -C doc $@

install_lib:
	$(MAKE) -C src -f MakeLib.mk install

install_dev:
	$(MAKE) -C src -f MakeLib.mk $@
	$(MAKE) -C doc $@

uninstall:
	$(MAKE) -C src -f MakeApp.mk $@
	$(MAKE) -C doc $@

uninstall_lib:
	$(MAKE) -C src -f MakeLib.mk uninstall

nethogs:
	$(MAKE) -C src -f MakeApp.mk $@

libnethogs:
	$(MAKE) -C src -f MakeLib.mk all

decpcap_test:
	$(MAKE) -C src -f MakeApp.mk $@

test:
	$(MAKE) -C src -f MakeApp.mk $@

clean:
	$(MAKE) -C src -f MakeApp.mk $@
	$(MAKE) -C src -f MakeLib.mk $@

format:
	clang-format -i src/*.c src/*.cpp src/*.h

=== debian/changelog ===
nethogs (0.8.5-2) unstable; urgency=medium

  * debian/rules:
      - Added override_dh_auto_build to be built reproducibly (Closes:846842).
        thanks to Chris Lamb <lamby@debian.org>.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 04 Dec 2016 10:46:00 -0200

nethogs (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Cryptographic signature verification: the upstream is providing a GPG
    signature that allows the tarball verification. Consequently:
    - Added the debian/upstream/signing-key.asc file.
    - Updated the debian/watch file.
  * debian/copyright: Updated nethogs.8 directory.
  * debian/patches/makefile.diff
    - Refreshed because some changes was merged by upstream.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Wed, 13 Jul 2016 00:07:00 -0300

nethogs (0.8.1-1) unstable; urgency=medium

  * New maintainer. Thanks to Bart Martens for your work over this package.
    (Closes: #826914)
  * Acknowledge NMU. Thanks to Arnout Engelen.
  * debian/changelog
    - Removed last blank line.
  * debian/control
    - Bumped Standards-Version to 3.9.8.
    - Changed maintainer.
    - Updated upstream Homepage (Closes: #814268).
  * debian/copyright
    - Rewriting copyright file in machine-interpretable format.
  * debian/dirs: removed because this file is useless now.
  * debian/patches/makefile.diff
    - Included headers for clarify patch file.
    - Included CPPFLAGS variable for hardening.
  * debian/rules
    - Removed some unused lines and spaces.
  * debian/watch
    - Updated. The upstream uses tags in GitHub now.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 23 Jun 2016 10:15:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: nethogs
 Section: net
 Priority: optional
-Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, libpcap0.8-dev
-Standards-Version: 3.9.6
-Homepage: http://nethogs.sourceforge.net/
+Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
+Build-Depends: debhelper (>= 9), libncurses5-dev, libpcap0.8-dev
+Standards-Version: 3.9.8
+Homepage: https://github.com/raboof/nethogs
 
 Package: nethogs
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
#export PREFIX = /usr

override_dh_auto_test:

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VERSION="$(shell dpkg-parsechangelog --show-field Version)"

## nethogs 0.8.6

=== debian/changelog ===
nethogs (0.8.6-3) unstable; urgency=medium

  * d/rules: Remove -pie and -fpie from compiler option.
    Disables checking for PIE which is automatically applied by Debian's GCC
    and no longer requires a compiler command line argument.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 07 Feb 2022 13:21:00 -0300

nethogs (0.8.6-2) unstable; urgency=medium

  [ Paulo Roberto Alves de Oliveira (aka kretcheu) ]
  * d/rules:
    - Include flags to solve issues pointed by blhc.
  * d/copyright: Update date
  * d/p/patches: Add headers to Samuel patch.

  [ Samuel Henrique ]
  * POC skip tests at dh_auto_build

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 13 Jan 2022 09:16:00 -0300

nethogs (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.6.0.1.
      - Included VCS-* fields.
      - Added 'Rules-Requires-Root: no' to source stanza.
  * debian/patchs/:
      - Added 20-fix-mvprint.patch to fix building error.
      - Remove unnecessary patch.
  * debian/rules:
      - Included PREFIX variable.
      - Using $(DEB_VERSION) variable instead of dpkg-parsechangelog command.
  * debian/watch: improved.
  * Added gbp.conf.
  * Add upstream metadata.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 09 Oct 2021 12:13:00 -0300

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/raboof/nethogs/releases .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## nethogs 0.8.7

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,6 @@
 
 install_dev:
 	$(MAKE) -C src -f MakeLib.mk $@
-	$(MAKE) -C doc $@
 
 uninstall:
 	$(MAKE) -C src -f MakeApp.mk $@

=== doc/Makefile ===
all:

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),FreeBSD)
  ifeq ($(PREFIX),/usr/local)
    man8 := $(PREFIX)/man/man8
  else
    man8 := $(PREFIX)/share/man/man8
  endif
else
  man8 := $(PREFIX)/share/man/man8
endif

install: nethogs.8
	install -d -m 755 $(DESTDIR)$(man8)
	install -m 644 nethogs.8 $(DESTDIR)$(man8)

uninstall:
	rm $(DESTDIR)$(man8)/nethogs.8 || true

=== debian/changelog ===
nethogs (0.8.7-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:55 +1100

nethogs (0.8.7-2build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 14:00:36 +0100

nethogs (0.8.7-2) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/raboof/nethogs/tags.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 22 Oct 2022 10:15:00 -0300

nethogs (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7.
  * Drop patch that have been merged upstream:
    - d/p/20-fix-mvprint.patch

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 10 Apr 2022 17:08:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,16 @@
 Source: nethogs
 Section: net
 Priority: optional
-Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
-Build-Depends: debhelper (>= 9), libncurses5-dev, libpcap0.8-dev
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
+Build-Depends: debhelper-compat (= 13),
+               libncurses5-dev,
+               libpcap0.8-dev
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Homepage: https://github.com/raboof/nethogs
+Vcs-Browser: https://salsa.debian.org/debian/nethogs
+Vcs-Git: https://salsa.debian.org/debian/nethogs.git
 
 Package: nethogs
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PREFIX = /usr

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VERSION=$(DEB_VERSION)

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/raboof/nethogs/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## nethogs 0.8.8

=== debian/changelog ===
nethogs (0.8.8-4) unstable; urgency=medium

  * d/libnethogs0.symbols: Exclude symbol to fix build on specific archs

 -- Matheus Polkorny <mpolkorny@gmail.com>  Fri, 17 Oct 2025 19:02:47 -0300

nethogs (0.8.8-3) unstable; urgency=medium

  * d/rules: Apply patch to build nethogs at build step instead of install
      Thanks to Nilesh Patra for the report and patch (Closes: #1110314)
  * d/libnethogs0.symbols:
    - Let build pass on m68k despite incomplete symbols
    - Remove duplicate symbol entries

 -- Matheus Polkorny <mpolkorny@gmail.com>  Sun, 03 Aug 2025 21:15:19 -0300

nethogs (0.8.8-2) unstable; urgency=medium

  * d/control:
    - Add myself to Uploaders
    - Add new binaries libnethogs0 and libnethogs-dev (Closes: #893715)
    - Bump Standards-Version to 4.7.2 (no changes)
  * d/rules:
    - Build libnethogs library and update build flags
    - Override dh_auto_install to install libnethogs0 and libnethogs-dev
  * d/libnethogs0.symbols: Add symbols file for libnethogs
  * d/patches:
    - 10-meson-fix-library-name.patch: New Upstream patch to fix library name
    - 40-Add-flags-to-CPPFLAGS-and-LDFLAGS.patch: New patch to add flags
    - 50-Add-MAJOR_VERSION-to-lib.patch: New patch to set SONAME MAJOR_VERSION
    - 60-Allow-overriding-VERSION.patch: New patch to allow overriding VERSION

 -- Matheus Polkorny <mpolkorny@gmail.com>  Wed, 26 Mar 2025 10:14:44 -0300

nethogs (0.8.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.8
  * d/control:
    - Add pybuild-plugin-pyproject and python3-setuptools to Build-Depends
        This resolves the lintian warning about missing PEP-517 prerequisites
    - Bump Standards-Version to 4.7.0 (no changes)
    - Replace libncurses5-dev with libncurses-dev
  * d/copyright: Include me in debian/*
  * d/patches/30-skip-tests-at-dh-build.patch: Set forwarded as not-needed
  * d/upstream/signing-key.asc: Remove upstream signature
  * d/watch: Remove signature verification

 -- Matheus Polkorny <mpolkorny@gmail.com>  Sat, 04 Jan 2025 18:17:08 -0300

=== debian/control ===
Source: nethogs
Section: net
Priority: optional
Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
Uploaders: Matheus Polkorny <mpolkorny@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               libpcap0.8-dev,
               python3-setuptools,
               pybuild-plugin-pyproject,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/raboof/nethogs
Vcs-Browser: https://salsa.debian.org/debian/nethogs
Vcs-Git: https://salsa.debian.org/debian/nethogs.git

Package: nethogs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Net top tool grouping bandwidth per process
 NetHogs is a small 'net top' tool. Instead of breaking the traffic down per
 protocol or per subnet, like most tools do, it groups bandwidth by process.
 NetHogs does not rely on a special kernel module to be loaded.

Package: libnethogs0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: From nethogs tool, libnethogs library (library)
 This is highly experimental, and is expected to break source and binary
 compatibility while it looks for the right abstraction points.
 .
 This package contains the shared library.

Package: libnethogs-dev
Section: libdevel
Architecture: any
Depends: libnethogs0 (= ${binary:Version}),
         ${misc:Depends}
Description: From nethogs tool, libnethogs library (development files)
 This is highly experimental, and is expected to break source and binary
 compatibility while it looks for the right abstraction points.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -fPIC
CXXFLAGS += -fPIC

export CFLAGS CXXFLAGS
export PREFIX = /usr

export VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- libnethogs nethogs

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/nethogs
	mkdir -p $(CURDIR)/debian/libnethogs0
	make install_lib DESTDIR=$(CURDIR)/debian/libnethogs0
	ln -sf libnethogs.so.$(VERSION) $(CURDIR)/debian/libnethogs0/usr/lib/libnethogs.so.0
	mkdir -p $(CURDIR)/debian/libnethogs-dev
	make install_dev DESTDIR=$(CURDIR)/debian/libnethogs-dev
	rm -f $(CURDIR)/debian/libnethogs-dev/usr/lib/libnethogs.so*
	ln -sf libnethogs.so.$(VERSION) $(CURDIR)/debian/libnethogs-dev/usr/lib/libnethogs.so
